# Uses of Enum Class
org.apache.sysds.common.Types.OpOp3

Packages that use Types.OpOp3
Package
Description
org.apache.sysds.common
org.apache.sysds.hops
org.apache.sysds.hops.rewrite
org.apache.sysds.lops

## Uses of Types.OpOp3 in org.apache.sysds.common

Methods in org.apache.sysds.common that return Types.OpOp3
Modifier and Type
Method
Description
`static Types.OpOp3`
Types.OpOp3.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.OpOp3`
Types.OpOp3.`valueOfByOpcode(String opcode)`
`static Types.OpOp3[]`
Types.OpOp3.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Types.OpOp3 in org.apache.sysds.hops

Methods in org.apache.sysds.hops that return Types.OpOp3
Modifier and Type
Method
Description
`Types.OpOp3`
TernaryOp.`getOp()`
Constructors in org.apache.sysds.hops with parameters of type Types.OpOp3
Modifier
Constructor
Description
``
`TernaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp3 o, Hop inp1, Hop inp2, Hop inp3)`
``
`TernaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOp3 o, Hop inp1, Hop inp2, Hop inp3, Hop inp4, Hop inp5, Hop inp6)`

## Uses of Types.OpOp3 in org.apache.sysds.hops.rewrite

Methods in org.apache.sysds.hops.rewrite with parameters of type Types.OpOp3
Modifier and Type
Method
Description
`static TernaryOp`
HopRewriteUtils.`createTernary(Hop mleft, Hop smid, Hop mright, Types.OpOp3 op)`
`static TernaryOp`
HopRewriteUtils.`createTernary(Hop in1, Hop in2, Hop in3, Hop in4, Hop in5, Types.OpOp3 op)`
`static boolean`
HopRewriteUtils.`isTernary(Hop hop, Types.OpOp3 type)`
`static boolean`
HopRewriteUtils.`isTernary(Hop hop, Types.OpOp3... types)`

## Uses of Types.OpOp3 in org.apache.sysds.lops

Constructors in org.apache.sysds.lops with parameters of type Types.OpOp3
Modifier
Constructor
Description
``
`Ternary(Types.OpOp3 op, Lop input1, Lop input2, Lop input3, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int numThreads)`